routes/web.php
Route::get('SuratJalan/detail/{id}', 'SuratJalanController@detail')->name('SuratJalan.detail');
Route::get('SuratJalan/print/{id}', 'SuratJalanController@print')->name('SuratJalan.print');
Route::get('SuratJalan/confirm/{id}', 'SuratJalanController@confirm')->name('SuratJalan.confirm');
Route::post('SuratJalan/set_so', 'SuratJalanController@set_so')->name('SuratJalan.set_so');

// INVOICE PENJUALAN //
Route::get('InvoicePenjualan/laporan', 'InvoicePenjualanController@laporan')->name('InvoicePenjualan.laporan');
Route::get('InvoicePenjualan/datatable', 'InvoicePenjualanController@datatable')->name('InvoicePenjualan.datatable');
Route::get('InvoicePenjualan/datatable_detail', 'InvoicePenjualanController@datatable_detail')->name('InvoicePenjualan.datatable_detail');
Route::get('InvoicePenjualan/get_surat_jalan_detail', 'InvoicePenjualanController@get_surat_jalan_detail')->name('InvoicePenjualan.surat_jalan_detail');
Route::resource('InvoicePenjualan', 'InvoicePenjualanController');
Route::post('InvoicePenjualan/number_invoice', 'InvoicePenjualanController@number_invoice')->name('InvoicePenjualan.number');
Route::post('InvoicePenjualan/get_surat_jalan', 'InvoicePenjualanController@get_surat_jalan')->name('InvoicePenjualan.surat_jalan');
Route::get('InvoicePenjualan/detail/{id}', 'InvoicePenjualanController@detail')->name('InvoicePenjualan.detail');
Route::get('InvoicePenjualan/print/{id}', 'InvoicePenjualanController@print')->name('InvoicePenjualan.print');
Route::post('InvoicePenjualan/get_coa', 'InvoicePenjualanController@get_coa')->name('InvoicePenjualan.get_coa');
Route::post('InvoicePenjualan/update_data2', 'InvoicePenjualanController@update_data2')->name('InvoicePenjualan.update_data2');
Route::get('InvoicePenjualan/get_barang', 'InvoicePenjualanController@get_barang')->name('InvoicePenjualan.get_barang');
Route::get('InvoicePenjualan/get_satuan', 'InvoicePenjualanController@get_satuan')->name('InvoicePenjualan.get_satuan');
Route::get('InvoicePenjualan/get_harga_jual', 'InvoicePenjualanController@get_harga_jual')->name('InvoicePenjualan.get_harga_jual');

// Bahan Baku //
Route::get('Bahan_baku/datatable', 'BahanbakuController@datatable')->name('Bahan_baku.datatable');
Route::get('/Bahan_baku', 'BahanbakuController@index');
Route::get('/Bahanbaku', 'BahanbakuController@index');
Route::get('/Bahan_baku/produksi', 'BahanbakuController@index');
Route::get('/Bahan_baku/tambah_produksi', 'BahanbakuController@tambahdata');
Route::get('/Bahan_baku/tambah_produksigudang/{id}', 'BahanbakuController@tambahdata2');
Route::post('/Bahanbaku/ambilsatuan', 'BahanbakuController@ambilsatuan');
Route::post('/Bahan_baku/cekstok', 'BahanbakuController@cekstok');
Route::post('/Bahan_baku/simpandataproduksi', 'BahanbakuController@simpandata');
Route::post('Bahanbaku/cekdatadetailformula', 'BahanbakuController@cekdetailformula');
Route::get('Bahan_baku/produksi_show/{id}', 'BahanbakuController@showdata');
Route::get('Bahan_baku/produksi_edit/{id}', 'BahanbakuController@editdata');
Route::post('Bahan_baku/simpandataproduksiedit', 'BahanbakuController@simpanedit');
Route::get('Bahanbaku/printdata/{id}', 'BahanbakuController@printdata');
Route::post('Bahanbaku/pencarian', 'BahanbakuController@caridata');

Route::delete('Bahan_baku/{id}', 'BahanbakuController@destroy');

// RETUR PENJUALAN //
Route::get('ReturPenjualan/get_penjualan_customer', 'ReturPenjualanController@get_penjualan_customer')->name('ReturPenjualan.get_penjualan_customer');
Route::get('ReturPenjualan/laporan', 'ReturPenjualanController@index')->name('ReturPenjualan.laporan');
Route::get('ReturPenjualan/datatable', 'ReturPenjualanController@datatable')->name('ReturPenjualan.datatable');
Route::get('ReturPenjualan/datatable_detail', 'ReturPenjualanController@datatable_detail')->name('ReturPenjualan.datatable_detail');
Route::get('ReturPenjualan/get_penjualan_detail', 'ReturPenjualanController@get_penjualan_detail')->name('ReturPenjualan.penjualan_detail');
Route::resource('ReturPenjualan', 'ReturPenjualanController');
Route::post('ReturPenjualan/number_invoice', 'ReturPenjualanController@number_invoice')->name('ReturPenjualan.number');
Route::post('ReturPenjualan/get_penjualan', 'ReturPenjualanController@get_penjualan')->name('ReturPenjualan.penjualan');
Route::get('ReturPenjualan/detail/{id}', 'ReturPenjualanController@detail')->name('ReturPenjualan.detail');
Route::get('ReturPenjualan/print/{id}', 'ReturPenjualanController@print')->name('ReturPenjualan.print');

// FORMULA //
Route::get('Formula/datatable', 'FormulaController@datatable')->name('Formula.datatable');
Route::get('Formula', 'FormulaController@index');
Route::get('/Formula/tambahdata', 'FormulaController@tambah_data');
Route::post('Formula/simpandata', 'FormulaController@simpandata');
Route::get('Formula/show/{id}', 'FormulaController@showdata');
Route::delete('Formula/hapus_data/{id}', 'FormulaController@hapusdata');
Route::post('Formula/getsatuan', 'FormulaController@getsatuan');
Route::get('Formula/edit/{id}', 'FormulaController@editdata');
Route::post('Formula/simpandataedit', 'FormulaController@simpandataedit');

// PENERIMAAN BARANG JADI //
Route::get('BarangJadi/datatable', 'PenerimaanBarangJadiController@datatable')->name('BarangJadi.datatable');
Route::get('BarangJadi', 'PenerimaanBarangJadiController@index');
Route::get('BarangJadi/tambahdata', 'PenerimaanBarangJadiController@create');
Route::post('PenerimaanBarangJadi/ambildetail', 'PenerimaanBarangJadiController@ambildetail');
Route::post('BarangJadi/simpandata', 'PenerimaanBarangJadiController@simpandata');
Route::get('BarangJadi/showdata/{id}', 'PenerimaanBarangJadiController@showdata');
Route::get('BarangJadi/printdata/{id}', 'PenerimaanBarangJadiController@printdata');
Route::get('BarangJadi/edit/{id}', 'PenerimaanBarangJadiController@editdata');
Route::post('BarangJadi/simpandataedit', 'PenerimaanBarangJadiController@editdatasimpan');
Route::delete('BarangJadi/{id}', 'PenerimaanBarangJadiController@destroy');

// PENERIMAAN PIUTANG //
Route::get('PenerimaanPiutang/laporan', 'PenerimaanPiutangController@laporan')->name('PenerimaanPiutang.laporan');
Route::get('PenerimaanPiutang/get_piutang', 'PenerimaanPiutangController@get_piutang')->name('PenerimaanPiutang.piutang');
Route::get('PenerimaanPiutang/datatable', 'PenerimaanPiutangController@datatable')->name('PenerimaanPiutang.datatable');
Route::get('PenerimaanPiutang/datatable_detail', 'PenerimaanPiutangController@datatable_detail')->name('PenerimaanPiutang.datatable_detail');
Route::resource('PenerimaanPiutang', 'PenerimaanPiutangController');
Route::post('PenerimaanPiutang/number_invoice', 'PenerimaanPiutangController@number_invoice')->name('PenerimaanPiutang.number');
Route::post('PenerimaanPiutang/get_coa', 'PenerimaanPiutangController@get_coa')->name('PenerimaanPiutang.get_coa');
Route::get('PenerimaanPiutang/detail/{id}', 'PenerimaanPiutangController@detail')->name('PenerimaanPiutang.detail');

// LAPORAN STOK //
Route::get('Stok/datatable', 'StokController@datatable')->name('Stok.datatable');
Route::get('Laporan_stok', 'StokController@index');
Route::post('stok/pencarian', 'StokController@caridata');
Route::get('stok/kartustok/{id}', 'StokController@kartustok');

// Persetujuan Pesanan //
Route::get('PersetujuanPesanan', 'PersetujuanPembelianController@index');
Route::get('PersetujuanPesanan/show/{id}', 'PersetujuanPembelianController@show');
Route::get('PersetujuanPesanan/approve/{id}', 'PersetujuanPembelianController@approve');
Route::get('PersetujuanPesanan/reject/{id}', 'PersetujuanPembelianController@reject');
Route::get('PersetujuanPesanan/datatable', 'PersetujuanPembelianController@datatable')->name('PersetujuanPesanan.datatable');

// Controll Panel //
Route::get('ControlPanel', 'ControlPanelController@index');
Route::get('settingcoa', 'ControlPanelController@settingcoa');
Route::post('ControlPanel/simpandatacoa', 'ControlPanelController@simpancoa');
Route::get('settingcoa/edit/{id}', 'ControlPanelController@editsetcoa');
Route::get('settingcoa/hapus/{id}', 'ControlPanelController@hapussetcoa');
Route::post('ControlPanel/simpandatacoaedit', 'ControlPanelController@simpancoaedit');
Route::get('settingperusahaan', 'ControlPanelController@setperusahaan');
Route::post('ControlPanel/simpandataperusahaan', 'ControlPanelController@simpanperusahaan');
Route::get('settingcarabayar', 'ControlPanelController@setcarabayar');
Route::post('ControlPanel/simpandatacarabayar', 'ControlPanelController@simpancarabayar');
Route::get('settingcarabayar/edit/{id}', 'ControlPanelController@editcarabayar');
Route::post('ControlPanel/simpancarabayaredit', 'ControlPanelController@simpancarabayaredit');
Route::get('settingcarabayarmenu', 'ControlPanelController@setcarabayarmenu');
Route::post('ControlPanel/simpanbayarmenu', 'ControlPanelController@simpanbayarmenu');
Route::get('ControlPanelCoa', 'ControlPanelController@indexcoa');
Route::get('uploadlogohead', 'ControlPanelController@uploadlogohead');
Route::post('ControlPanel/Simpangambarhead', 'ControlPanelController@simpanheadlogo');
Route::get('ControlPanelUser', 'ControlPanelController@indexuser');
Route::get('RegisterUser', 'ControlPanelController@tambahuser');
Route::post('RegisterUser/Simpan', 'ControlPanelController@simpanuser');
Route::get('User/edit/{id}', 'ControlPanelController@edituser');
Route::post('RegisterUser/Simpanedit', 'ControlPanelController@simpanedituser');
Route::get('ControlPanelGroupUser', 'ControlPanelController@indexgroupuser');
Route::get('TambahGroupUser', 'ControlPanelController@tambahgroupuser');
Route::post('GroupUser/simpandata', 'ControlPanelController@simpangroupuser');
Route::get('GroupUser/edit/{id}', 'ControlPanelController@editgroupuser');
Route::post('GroupUser/simpandataedit', 'ControlPanelController@simpangroupuseredit');
Route::get('GroupUser/akses/{id}', 'ControlPanelController@aksesgroup');
Route::post('GroupAksesSimpan', 'ControlPanelController@simpanakses');

resources/views/returpenjualan/create.blade.php
<!-- ===========Create By Tiar 13-12-2019=============== -->
@extends('layouts.app')
@section('content')
<style>
    .select2-selection__rendered {
        line-height: 31px !important;
    }
    .select2-container .select2-selection--single {
        height: 35px !important;
    }
    .select2-selection__arrow {
        height: 34px !important;
        font-size: 14px;
    }
</style>

<div class="main-grid">
	<div class="banner">
	    <h2>
	        <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
	            <i class="fa fa-angle-right"></i>
	            <a href="{{route('ReturPenjualan.index')}}">Data Retur Penjualan</a>
	            <i class="fa fa-angle-right"></i>
	        <span>Tambah Retur Penjualan</span>
	    </h2>
	</div>
	<br>
	<div class="banner text-center" style="font-size: 20px; font-weight: bold;color: #fff;background-color: #254283;padding: 10px; height: 50px;">
    	<span>Tambah Data Retur Penjualan</span>
    </div>

    <div class="bannerbody">
        <form id="form-data">
            {{ csrf_field() }}
            <table class="table table-responsive">
                <tr>
                    <td style="width: 35%;">
                        <label for="tanggal">Tanggal</label>
                        <input type="text" class="form-control form-white datepicker" id="Tanggal"  name="Tanggal"  placeholder="Tanggal" required value="{{ date('d/m/Y') }}">
                    </td>
                    <td style="width: 35%;">
                        <label for="Nomor">Nomor Retur</label>
                        <input type="text" name="Nomor" id="Nomor" class="form-control" placeholder="No Retur" readonly>
                    </td>
                    <td style="width: 30%;">
                        <label for="IDCustomer">Customer</label>
                        <select name="IDCustomer" id="IDCustomer" class="form-control select2" style="width: 100%;" reaquired>
                            <option value="">-- Pilih Customer --</option>
                            @foreach ($customer as $item)
                                <option value="{{ $item->IDCustomer }}" data-group="{{ $item->IDGroupCustomer }}"> {{ $item->Nama }} </option>
                            @endforeach
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="Status_ppn">Jenis PPN</label><br>
                        <input type="radio" name="Status_ppn" id="ppn1" value="include" checked onclick="ambilnomorrjnonppn()"> <label for="ppn1"> Include PPN </label> &nbsp;
                        <input type="radio" name="Status_ppn" id="ppn0" value="exclude" onclick="ambilnomorrjppn()"> <label for="ppn0"> Exclude PPN </label>
                    </td>
                    <td style="vertical-align: middle;">
                        <input type="checkbox" name="Pilih_invoice" class="checked" id="Pilih_invoice">
                        <label for="Pilih_invoice"> Pilih No. Invoice </label>
                    </td>
                    <td>
                        <label for="IDFJ">Nomor Invoice Penjualan</label>
                        <select name="IDFJ" id="IDFJ" class="form-control select2" style="width: 100%;" disabled>
                            <option value="">- Pilih Invoice Penjualan -</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="Pilihan_retur">Pilihan Retur</label>
                        <select name="Pilihan_retur" id="Pilihan_retur" class="form-control select2" style="width: 100%;" required>
                            <option value="">- Pilih -</option>
                            <option value="TM">Tukar Masuk</option>
                            <option value="RETUR">Retur</option>
                        </select>
                    </td>
                    <td>
                        <label for="IDGudang">Gudang Retur</label>
                        <select name="IDGudang" id="IDGudang" class="form-control select2" style="width: 100%;" readonly>
                            <option value="P000004" selected>Gudang Retur</option>
                        </select>
                    </td>
                    <td>

                    </td>
                </tr>
            </table>
            <!--<br>-->
            <div class="container" style="width: 100%; margin-bottom: 20px;">
                <div class="form-title">
                    <span><i class="fa fa-th-list"></i>&nbsp;Barang</span>	
                </div> 
                <div class="container" style="width: 100%">
                    <br>
                    <table class="table table-bordered" id="table-barang" style="font-size: 12px; margin-top: 10px; margin-bottom: 10px;">
                        <thead style="background-color: #16305d; color: white">
                            <tr>
                                <th style="width: 25%">Nama Barang</th>
                                <th style="width: 10%">Qty Beli</th>
                                <th style="width: 10%">Qty Retur</th>
                                <th style="width: 15%">Harga</th>
                                <th style="width: 15%">Satuan</th>
                                <th style="width: 5%">PPN</th>
                                <th style="width: 15%">Subtotal</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody id="list-barang">

                        </tbody>
                    </table>
                    <a class="btn col-11" id="btn-add-barang" ><i class="col-11 hvr-icon-float-away">Tambah</i></a>

                    <table style="width: 100%; margin-top:10px;">
                        <tr>
                            <td style="width: 50%; vertical-align: top;">
                                <label for="Keterangan">Keterangan</label>
                                    <textarea name="Keterangan" id="Keterangan"  rows="9" tabindex="5"></textarea>
                            </td>
                            <td style="padding-left: 10px; vertical-align: top;">
                                <label style="float: left;" for="Total_qty">Total Qty</label>
                                <input type="text" style="width: 70%" id="Total_qty" name="Total_qty" class="form-control text-right" placeholder="Total Qty" readonly>
                                <br> <br> <br>
                                <div style="display: none;">
                                    <label style="float: left;" id="juduldpp">DPP</label>
                                    <input type="text" style="width: 70%" id="DPP" name="DPP" class="form-control text-right total-add" placeholder="DPP" readonly>
                                    <br><br><br>
                                    <?php ?>
                                    <label style="float: left;" id="judulppn">PPN</label>
                                    <input type="text" style="width: 70%" id="PPN" name="PPN" class="form-control text-right total-add" placeholder="PPN" readonly>
                                    <br><br><br>
                                </div>
                                <label style="float: left;" for="Grand_total">Total Retur</label>
                                <input type="text" style="width: 70%" id="Grand_total" name="Grand_total" class="form-control text-right" placeholder="Total Retur" readonly>
                            </td>
                        </tr>
                    </table>
                    
                    <button class="btn btn-primary" type="submit" id="simpan" name="simpan" style="float: right; margin-top: 10px;">Simpan</button>
                    <div class="btn col-16">
                        <span> <a style="color: white; float: right;" href="{{ route('ReturPenjualan.index') }}">Kembali</a></span>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.js"> </script>

<script>
    var urlIndex            = '{{ route("ReturPenjualan.index") }}';
    var urlNumberInvoice    = '{{ route("ReturPenjualan.number") }}';
    var urlInsert           = '{{ route("ReturPenjualan.store") }}';
    var urlPenjualan       = '{{ route("ReturPenjualan.penjualan") }}';
    var urlPenjualanDetail       = '{{ route("ReturPenjualan.penjualan_detail") }}';
    var urlPenjualanCustomer       = '{{ route("ReturPenjualan.get_penjualan_customer") }}';
    var url                 = '{{ url("ReturPenjualan") }}';
    var urlBarang = '{{ route("SalesOrder.get_barang") }}';
    function ambilnomorrjnonppn()
    {
        $("#modal-loading").fadeIn();
        console.log('AMBIL DATA NOMOR RJ');
            $.ajax({
                    url : "{{url('ambilnomorrjnonppn')}}",
                    type: "GET",
                    dataType:'json',
                    success: function(data)
                    { 
                        console.log('KODE BARU RJ');
                        console.log(data);
                        $('#Nomor').val(data);
                        $("#modal-loading").fadeOut();
                    }
            });
    }

    function ambilnomorrjppn()
    {
        $("#modal-loading").fadeIn();
        console.log('AMBIL DATA NOMOR RJ PPN');
            $.ajax({
                    url : "{{url('ambilnomorrjppn')}}",
                    type: "GET",
                    dataType:'json',
                    success: function(data)
                    { 
                        console.log('KODE BARU RJ PPN');
                        console.log(data);
                        $('#Nomor').val(data);
                        $("#modal-loading").fadeOut();
                    }
            });
    }
</script>
<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/returpenjualan/returpenjualan_create.js') }}"></script>
<script>
    
</script>
@endsection

resources/views/returpenjualan/detail.blade.php
<!-- ===========Create By Tiar 17-12-2019=============== -->
@extends('layouts.app')
@section('content')

<?php
use App\Helpers\AppHelper;
    $angkakoma = isset($coreset) ? $coreset->Angkakoma : 0;
?>

<!-- body data -->
<div class="main-grid">
    <div class="banner">
        <h2>
          <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
              <i class="fa fa-angle-right"></i>
              <a href="{{url('ReturPenjualan')}}">Data Retur Penjualan</a>
              <i class="fa fa-angle-right"></i>
              <a>Detail Retur Penjualan - {{ $penjualan->Nomor }} <b></b> </a>
        </h2>
    </div>
    <br>
    <div class="banner">
        <div class="widget_content">
            <div class="form_container left_label">
                <table class="table table-bordered" width="100%" style="font-size: 12px;">
                    <tbody>
                        <tr>
                            <td width="35%" >Tanggal</td>
                            <td width="65%"> {{ AppHelper::DateIndo($penjualan->Tanggal) }} </td>
                        </tr>
                        <tr>
                            <td>Nomor Retur Penjualan</td>
                            <td> {{ $penjualan->Nomor }} </td>
                        </tr>
                        <tr>
                            <td>Nomor Penjualan</td>
                            <td> {{ $penjualan->Fj_nomor }} </td>
                        </tr>
                        <tr>
                            <td>Customer</td>
                            <td> {{  $penjualan->Nama }} </td>
                        </tr>
                        <tr>
                            <td>Keterangan</td>
                            <td> {{ $penjualan->Keterangan }} </td>
                        </tr>
                        <tr>
                            <td>Status PPN</td>
                            <td> {{ $penjualan->Status_ppn }} </td>
                        </tr>
                        <tr>
                            <td>Status</td>
                            <td> {{ ($penjualan->Batal == 0 || $penjualan->Batal == null ) ? 'Aktif' : 'Batal'  }} </td>
                        </tr>
                        <tr>
                            <td>Total Qty</td>
                            <td> {{ $penjualan->Total_qty }} </td>
                        </tr>
                        <tr>
                            <td>Total Harga</td>
                            <td> {{ AppHelper::NumberFormat($penjualan->Grand_total, $angkakoma) }} </td>
                        </tr>
                        <tr>
                            <td>PPN</td>
                            <td> {{ AppHelper::NumberFormat($penjualan->PPN, $angkakoma) }} </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="widget_content">
                <table class="table cell-border table-bordered" width="100%" style="font-size: 12px;">
                    <thead style="background-color: #16305d; color: #fff">
                        <tr>
                            <th>No</th>
                            <th>Nama Barang</th>
                            <th>Qty</th>
                            <th>Harga</th>
                            <th>Satuan</th>
                            <th>PPN % </th>
                            <th>Total</th>
                        </tr>
                    </thead>
                    <tbody style="border: 1px; border-collapse: collapse">
                        @foreach ($penjualan_detail as $key => $item)
                            <tr>
                                <td> {{ ++$key }} </td>
                                <td> {{ $item->Kode_Barang . ' - ' . $item->Nama_Barang }} </td>
                                <td style="text-align: center;"> {{ $item->Qty }} </td>
                                <td style="text-align: right;"> {{ AppHelper::NumberFormat($item->Harga, $angkakoma) }} </td>
                                <td style="text-align: center;"> {{ $item->Satuan }} </td>
                                <td style="text-align: center;"> {{ ($penjualan->Status_ppn == 'include') ? 0 : 10 }} </td>
                                <td style="text-align: right;"> {{ AppHelper::NumberFormat($item->Sub_total, $angkakoma) }} </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
            <div class="widget_content py-4 text-center">
                <div class="form_grid_12">
                    <div class="btn col-11">
                        <span> <a style="color: white;" href="{{ route('ReturPenjualan.index') }}" name="simpan">Kembali</a></span>
                    </div>
                    <div class="btn col-3">
                      <span><a style="color: white;" href="{{ route('ReturPenjualan.print', $penjualan->IDRP) }}" target="__blank">Print Data</a></span>
                    </div>
                    <div class="btn col-1">
                      <span><a style="color: white;" href="{{ route('ReturPenjualan.show', $penjualan->IDRP) }}">Edit Data</a></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br><br><br>
</div>

<script type="text/javascript">

</script>
@endsection

resources/views/returpenjualan/index.blade.php
<!-- ===========Create By Dedy 13-12-2019=============== -->
@extends('layouts.app')
@section('content')
<style>
    span a .fa {
        cursor: pointer;
        padding: 5px;
    }
</style>
<div class="main-grid">
    <div class="banner">
        <h2>
            <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
                <i class="fa fa-angle-right"></i>
                <a href="{{url('ReturPenjualan')}}">Data Retur Penjualan</a>
        </h2>
    </div>
    <div class="banner container" style="margin-top: 10px; margin-bottom: 10px;">
        <div class="form_grid_3">
            <a href="{{url('ReturPenjualan/create')}}">
                <div class="btn btn-primary hvr-icon-float-away">
                    <span style="color: white;">Tambah Data&nbsp;&nbsp;</span>
                </div>
            </a>
        </div>
        <br>
        <div class="col-md-2">
            <label class="field_title mt-dot2">Periode</label>
                <div class="form_input">
                    <input type="text" class="form-control datepicker" name="date_from" id="date_from" value="">
                </div>
        </div>
        <div class="col-md-2">
            <label class="field_title mt-dot2"> S/D </label>
            <div class="form_input">
                <input type="text" class="form-control datepicker" name="date_until" id="date_until" value="{{ date('t/m/Y', strtotime(date('Y-m-d'))) }}">
            </div>
        </div>
        <div class="col-md-3">
            <div class="form_grid_2">
                <label class="field_title mt-dot2">Cari Berdasarkan</label>
                <select data-placeholder="Cari Customer" class="chosen-select" name="field" id="field" required style="width: 100%">
                    <option value="">- Pilih -</option>
                    <option value="Nomor">Nomor Retur</option>
                    <option value="Nama">Customer</option>
                    <option value="Batal">Status</option>
                </select>
            </div>
        </div>
        <div class="col-md-3">
            <div class="form_grid_2">
                <label class="field_title mt-dot2">Keyword</label>
                <div id="pilihan">
                    <input name="keyword" id="keyword" type="text" placeholder="Masukkan Keyword" class="form-control">
                </div>
            </div>
        </div>
        <div class="col-md-2">
            <div class="form_grid_2">
                <label>&nbsp;.</label>
                <br>
                <button id="cari-data" class="btn btn-primary"><i class="fa fa-search"></i>&nbsp;Search</button>
            </div>
        </div>
    </div>
    <div class="banner">
        <div class="widget_content">
            <table id="table-data" class="table cell-border" width="100%" style="background-color: #254283; font-size: 12px; margin-top: 5px;">
                <thead style="color: #fff">
                    <tr>
                        <th>No</th>
                        <th>Tanggal</th>
                        <th>Nomor Retur</th>
                        <th>Nama Customer</th>
                        <th>Total Qty</th>
                        <th>Total Harga</th>
                        <th>Status</th>
                        <th>Aksi</th>
                    </tr>
                </thead>
                <tfoot style="color: #fff">
                    <tr>
                        <th colspan="4">Total</th>
                        <th style="text-align: right;"></th>
                        <th style="text-align: right;"></th>
                        <th></th>
                        <th></th>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.js"> </script>
<script>
    var urlData = '{{ route("ReturPenjualan.datatable") }}';
    var url = '{{ url("ReturPenjualan") }}';
</script>
<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/returpenjualan/returpenjualan_index.js') }}"></script>

@endsection